Discussion on iOS Joke App Template

38 comments found.

hello, i have problem submitting to App Store its give me error
error itms-9000 the bundle identifier cannot be changed from the current value i have created another app to fix but the issue still the same and i have changed the bundel id

ignore it i fix it

Hello,

We are glad to hear you managed to fix the issue.

Regards, Dmb Team

hello, i have today this error:

ld: library not found for -lPods clang: error: linker command failed with exit code 1 (use -v to see invocation)

Hello,

Please make sure that you have opened the file with .xcworkspace extension not the file with .xcodeproj extension.

Best regards. dmb TEAM

Does it run in ios8 and iphone 6 and 6plus. and does it have admob banner

if yes i am ready to buy

Hello,

We are in process of testing all of our apps, if they are compatible with iOS8. Please stay tuned, because we will update the product’s description, when we confirm that.

The app uses iAd, not AdMob.

Regards, dmb TEAM

Hi, when i run it i get a Build Failed? ../../MagicalRecord/MagicalRecord/CoreData+MagicalRecord.h

Parse issue. Expected identifier or ‘(‘

Any ideas?

Nathe

Did all the above. Here is the screenshot of a new error as I downloaded the file off here again. And another screenshot of the xCode version. http://s28.postimg.org/rna8r99m5/Screen_Shot_2014_12_01_at_17_47_12.png and http://s15.postimg.org/6icdgyxcb/Screen_Shot_2014_12_01_at_17_46_58.png

Thanks,

Nathe

Hello,

Please contact us via the contact form in our Profile page and we will further discuss the situation.

Regards, dmb TEAM

Ok mate, sent email.

Cheers,

Nathe

Dear before buying i want to ask if it supports admob in it. If yes i will buy it now. and does it support another language like persian. i want to post my jokes as persian, farsi , urdu, arabic, so does it support that languages.

regards

Interstital ad ??? Reply soon to buy… :D thanks

Hello,

The app uses iAd for displaying ads. We can’t be 100% sure if those languages are supported, but what we know is that we are using UTF-8 encoding. If your languages are part of the UTF-8 encoding you shouldn’t have problems. There are not Interstitial ads.

Regards, dmb TEAM

I got some error when I try to open the project in xCode 6

Hello,

Obviously you don’t have Cocoapods installed on your machine. To install them execute the following command: sudo gem install cocoapods. After that you will be able to execute pod update.

Regards, dmb TEAM

Hello,

If you done it, you won’t have problems – I see that the issues are related with the Pods.

Question: Which version of the product you are using? Yesterday we’ve uploaded version 1.3.1 which version has the latest Pods and has the 64-bit support. Please if you are using the version 1.3, download again the product from CodeCanyon and try again.

Regards, dmb TEAM

Just bought, i test on simulator running perfectly but i got 13 warning http://prntscr.com/6gkeeq , and iAd not showing. xCode 6.2, iOS 8.2

Thanks for your Reply. About iAd, can you convert into Admob :), i can’t do it because i not a programmer :)

Regards

Hi, I try open my other code and live apps, iAd showing perfectly, on your code still won’t show, can you check it. Thanks

Hello,

1) For iOS project we always use iAd. If you want integration with AdMob, we can give you estimation.

2) Thanks for letting us know. In the beginning of the week we will look into it. It will be good idea to submit a support ticket here for better tracking.

Regards, dmb TEAM

Just purchased the app its great, but I have one question, is there a way to have a user friendly form to feed the xml file, or if there is a tool out there that I can use to input the jokes in a friendly way to the xml file?

Thank you

Hello,

Thanks for the nice words.

As stated in the product’s description the data is loaded via xml and all jokes have to be added within the xml. We know that this is not the best user experience, but it’s the easiest way to handle the whole process, because there is no need to set up web administration panel, to create databases and to connect it to the app. That is the way, we have picked up in the beginning for this product and maybe you have to use some advanced text editor in order to have better features to handle xml files.

Regards, dmb TEAM

Good, but if he can support iPad is great.

Hello,

There is no version for iPad, but it will run on it in a phone’s frame.

Regards, dmbTEAM

I don’t have my own website yet. What are the other best free solution to host the xml files?.

Hello,

There is no need to have a website. You could just buy a hosting service, where to host your XML file. We don’t have observation over free services, because we doubt their reliability.

Regards, dmbTEAM

hi how is the push notification works ? Make use of any 3rd party service we need to sign up ?

hi the FAQ has nothing to do with the error

Hello,

Please note that it’s crucial to use the mentioned xCode version and to start the .xcworkspace file. Please confirm both things.

Then, do you have Cocoapods installed on your Mac machine? If you don’t have them please install cocoapods. In terminal execute:

sudo gem install cocoapods

Then navigate to the project’s folder and open the Joke app folder using terminal. Here you have to execute the following commad:

pod install
pod update

Regards, dmbTEAM

can it support the arabic language

Hello,

The language itself can be displayed. But be aware that the navigation won’t turn into RTL.

Regards, dmbTEAM

I tried to test it but I got some errors. http://imgur.com/8f7VHax. Thanks

Hello,

Check this FAQ: http://codecanyon.net/item/ios-joke-app-template/6817736/faqs/19471

After that open the project’s directory via terminal and execute the following command:

pod install

then

pod update

If you don’t have Cocoa Pods, you have to install them upfront:

sudo gem install cocoapods

Regards, dmbTEAM

Thanks

HI,

Is it supports Xcode 8.1 & iOS 10

Need Code without ads & Inapppurchse Can you provide?

Hello,

1) Yes, it supports xCode 8.1/iOS 10 2) Ads free version could be provided if you buy Extended License 3) There are no InApp Purchases integrated

Regards, dmbTEAM

If you provide Ads Free Version for Regular License i will buy it now. Do you give?

Hello,

I am afraid that we don’t have a deal. As I wrote, Ads free version is provided only for Extended License.

Regards, dmbTEAM

karim7

karim7 Purchased

is compatible xcode 8 ???

Hello,

This information is clearly stated in the product’s description.

Regards, dmbTEAM

karim7

karim7 Purchased

I don’t find the appconstants.swift for aad id from onesignal

Hello,

The filename is JKEConstants.h within the Supporting Files folder.

Regards, dmbTEAM

Does this app have admob Interstitial ads ?

Hello,

No it doesn’t. The app integrates only the regular banner.

Regards, dmbTEAM

Hi,

I want to implement interstitial ads with app, which file I need to use for implementation? And where to put @import googleMobileAds? I would like after 10 clicks to show the ad. Do you have code for that? Cheers

Hello,

Depending on which screen you want to do it, you should alter the respective ViewController file. But since we already implemented the regular banner ads, you should do it in JKEAdvertisedController.

We don’t have code for 10 clicks.

Regards, dmbTEAM

by
by
by
by
by
by